Subject: [Ecrit] Requested revisions to draft-ecrit-similar-location-14.txt

From: Dwight Purtle <[email-masked]>
Date: Fri, 7 Jan 2022 16:50:36 -0600

I have been asked to be the document shepherd for the similar-location
document.  After reviewing the document, I believe a revision is needed
before the document is advanced for approval.  Here is a list of the items
I believe need to be corrected.  All are editorial and do not affect the
content of the document.

1.  Correct the spelling of "protocol" in the third word of the
introduction.

2.  The abstract contains a reference to [RFC 5222].  I have learned that
abstracts cannot contain references.  Please change to text, such as (RFC
5222).

3.  Section 8.1 refers to a schema in Section 7.  I believe it should say
Section 6.

4.  The XML in Section 5.1 needs two edits.  In the Response portion, the >
symbols at the end of the first and third lines need to be removed.  The
first four lines should be contained in a single set of angle brackets
beginning with <findServiceResponse and ending with :civicAddr">.

5.  The XML in Section 5.2, Response portion, needs the same edits as 5.1.

6.  In Section 6 the XML schema needs two corrections.  Line 34 </group>
should be </xs:group>.  A line should be added after line 40 that reads
</xs:minInclusive>.

Thanks to Randall Gellens for helping me figure out the XML issues.  I am
by no means an XML-savvy person.

Thanks!

Dwight Purtle (document shepherd)

---

From: Brian Rosen <[email-masked]>
Date: Mon, 10 Jan 2022 11:21:24 -0500

I will release a -15 with these changes shortly.  I fixed the second issue in item 6 by making it be <xs:minInclusive value=“1”/>, which I think is a more common way to handle it than <xs:minInclusive value=“1”></xs:minInclusive>

> On Jan 7, 2022, at 5:50 PM, Dwight Purtle <[email-masked]> wrote:
> 
> I have been asked to be the document shepherd for the similar-location document.  After reviewing the document, I believe a revision is needed before the document is advanced for approval.  Here is a list of the items I believe need to be corrected.  All are editorial and do not affect the content of the document.
> 
> 1.  Correct the spelling of "protocol" in the third word of the introduction.
> 
> 2.  The abstract contains a reference to [RFC 5222].  I have learned that abstracts cannot contain references.  Please change to text, such as (RFC 5222).
> 
> 3.  Section 8.1 refers to a schema in Section 7.  I believe it should say Section 6.
> 
> 4.  The XML in Section 5.1 needs two edits.  In the Response portion, the > symbols at the end of the first and third lines need to be removed.  The first four lines should be contained in a single set of angle brackets beginning with <findServiceResponse and ending with :civicAddr">.
> 
> 6.  In Section 6 the XML schema needs two corrections.  Line 34 </group> should be </xs:group>.  A line should be added after line 40 that reads </xs:minInclusive>.
> 
> Thanks to Randall Gellens for helping me figure out the XML issues.  I am by no means an XML-savvy person.
> 
> Thanks!
>